## org.eclipse.datatools.modelbase.sql.query
Interface UpdateAssignmentExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface UpdateAssignmentExpression

extends SQLQueryObject

A representation of the model object 'SQL Assignment Expression'.

The following features are supported:

- `Update Statement`
- `Target Column List`
- `Update Source`
- `Merge Update Spec`

See Also:
  `SQLQueryModelPackage.getUpdateAssignmentExpression()`

Method Summary
`MergeUpdateSpecification` `getMergeUpdateSpec()` Returns the value of the 'Merge Update Spec' container reference.
`org.eclipse.emf.common.util.EList` `getTargetColumnList()` Returns the value of the 'Target Column List' reference list.
`UpdateSource` `getUpdateSource()` Returns the value of the 'Update Source' containment reference.
`QueryUpdateStatement` `getUpdateStatement()` Returns the value of the 'Update Statement' container reference.
`void` `setMergeUpdateSpec(MergeUpdateSpecification value)` Sets the value of the '`Merge Update Spec`' container reference.
`void` `setUpdateSource(UpdateSource value)` Sets the value of the '`Update Source`' containment reference.
`void` `setUpdateStatement(QueryUpdateStatement value)` Sets the value of the '`Update Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUpdateStatement

    QueryUpdateStatement getUpdateStatement()

  Returns the value of the 'Update Statement' container reference. It is bidirectional and its opposite is '`Assignment Clause`'.

  If the meaning of the 'Update Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getUpdateAssignmentExpression_UpdateStatement()`, `QueryUpdateStatement.getAssignmentClause()`

### setUpdateStatement

    void setUpdateStatement(QueryUpdateStatement value)

  Sets the value of the '`Update Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Update Statement' container reference.
  See Also:
    `getUpdateStatement()`

### getTargetColumnList

    org.eclipse.emf.common.util.EList getTargetColumnList()

  Returns the value of the 'Target Column List' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Assignment Expr Target`'.

  If the meaning of the 'Target Column List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getUpdateAssignmentExpression_TargetColumnList()`, `ValueExpressionColumn.getAssignmentExprTarget()`

### getUpdateSource

    UpdateSource getUpdateSource()

  Returns the value of the 'Update Source' containment reference. It is bidirectional and its opposite is '`Update Assignment Expr`'.

  If the meaning of the 'Update Source' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Source' containment reference.
  See Also:
    `setUpdateSource(UpdateSource)`, `SQLQueryModelPackage.getUpdateAssignmentExpression_UpdateSource()`, `UpdateSource.getUpdateAssignmentExpr()`

### setUpdateSource

    void setUpdateSource(UpdateSource value)

  Sets the value of the '`Update Source`' containment reference.

  Parameters:
    `value` - the new value of the 'Update Source' containment reference.
  See Also:
    `getUpdateSource()`

### getMergeUpdateSpec

    MergeUpdateSpecification getMergeUpdateSpec()

  Returns the value of the 'Merge Update Spec' container reference. It is bidirectional and its opposite is '`Assignement Expr List`'.

  If the meaning of the 'Merge Update Spec' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge Update Spec' container reference.
  See Also:
    `setMergeUpdateSpec(MergeUpdateSpecification)`, `SQLQueryModelPackage.getUpdateAssignmentExpression_MergeUpdateSpec()`, `MergeUpdateSpecification.getAssignementExprList()`

### setMergeUpdateSpec

    void setMergeUpdateSpec(MergeUpdateSpecification value)

  Sets the value of the '`Merge Update Spec`' container reference.

  Parameters:
    `value` - the new value of the 'Merge Update Spec' container reference.
  See Also:
    `getMergeUpdateSpec()`